#!/usr/bin/env node
"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs = __importStar(require("yargs"));
const file = __importStar(require("../src/file"));
const http_serializer_1 = require("../src/http-serializer");
function createMockRequestResponse() {
    return http_serializer_1.createRecord({
        duration: 0,
        request: {
            body: '{}',
            headers: {},
            host: 'example.com',
            method: 'POST',
            path: '/',
            port: 443,
            protocol: 'https',
        },
        response: {
            body: '',
            headers: {
                'x-yesno': 'generated mock',
            },
            statusCode: 501,
        },
    });
}
// tslint:disable-next-line:no-unused-expression
yargs.command({
    command: 'generate <filename>',
    handler: (argv) => {
        const { filename } = argv;
        return file.save({
            filename,
            records: [createMockRequestResponse()],
        });
    },
}).argv;
//# sourceMappingURL=cli.js.map