"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert = __importStar(require("assert"));
const errors_1 = require("../errors");
// @todo Do not bother using chai
// @todo Change to return type `Either<Error, SerializedRequest>`
exports.byUrl = (interceptedRequest, mockRequest, { requestIndex }) => {
    assertEqual(interceptedRequest.host, mockRequest.host, `Expected host "${mockRequest.host}" for request #${requestIndex}, received "${interceptedRequest.host}"`);
    const { host } = interceptedRequest;
    assertEqual(interceptedRequest.method, mockRequest.method, `Expected request #${requestIndex} for ${host} to HTTP method "${mockRequest.method}", not "${interceptedRequest.method}"`);
    assertEqual(interceptedRequest.protocol, mockRequest.protocol, `Expected request #${requestIndex} for ${host} to use "${mockRequest.protocol}" protocol, not "${interceptedRequest.protocol}"`);
    assertEqual(interceptedRequest.port, mockRequest.port, `Expected request #${requestIndex} for ${host} to be served on port "${mockRequest.port}", not "${interceptedRequest.port}"`);
    const nickname = `${interceptedRequest.method} ${interceptedRequest.protocol}://${interceptedRequest.host}:${interceptedRequest.port}`;
    assertEqual(interceptedRequest.path, mockRequest.path, `Expected request #${requestIndex} "${nickname}" to have path "${mockRequest.path}", not "${interceptedRequest.path}"`);
    return true;
};
function assertEqual(unknown, known, message) {
    assert.strictEqual(unknown, known, new errors_1.YesNoError(`Request does not match mock. ${message}`));
}
//# sourceMappingURL=comparator.js.map