import { ISerializedHttp } from '../http-serializer';
export declare type Redactor = ((value: any, path: string) => string);
export declare function defaultRedactor(): string;
/**
 * Redact properties on the matching intercepted records.
 *
 * Use a `.` to reference a nested property
 * @todo Benchmark & investigate alternatives
 * @param property  Properties to redact
 * @param redactSymbol Symbol to use for redacted properties or function to compute.
 */
export declare function redact(record: ISerializedHttp, properties: string[], redactor?: Redactor): ISerializedHttp;
