"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = __importStar(require("lodash"));
const consts_1 = require("../../src/consts");
function defaultRedactor() {
    return consts_1.DEFAULT_REDACT_SYMBOL;
}
exports.defaultRedactor = defaultRedactor;
/**
 * Redact properties on the matching intercepted records.
 *
 * Use a `.` to reference a nested property
 * @todo Benchmark & investigate alternatives
 * @param property  Properties to redact
 * @param redactSymbol Symbol to use for redacted properties or function to compute.
 */
function redact(record, properties, redactor = defaultRedactor) {
    const redacted = _.cloneDeep(record);
    properties.forEach((property) => {
        const currentValue = _.get(redacted, property);
        if (currentValue !== undefined) {
            _.set(redacted, property, redactor(currentValue, property));
        }
    });
    return redacted;
}
exports.redact = redact;
//# sourceMappingURL=redact.js.map