import Context from './context';
import { ISerializedRequestResponse } from './http-serializer';
import { IInterceptEvent } from './interceptor';
/**
 * Encapsulates logic for sending a response for an intercepted HTTP request
 */
export default class MockResponse {
    private event;
    private ctx;
    constructor(event: IInterceptEvent, ctx: Context);
    /**
     * Send a respond for our wrapped intercept event if able.
     *
     * Give precedence to matching responses in shared context (from `yesno.matching().respond()`).
     * Else, if we're in mock mode, lookup the mock response.
     *
     * @returns The received request & sent response. Returns `undefined` if unable to respond
     */
    send(): Promise<ISerializedRequestResponse | undefined>;
    private getMockForIntecept;
    private assertMockMatches;
    private writeMockResponse;
}
